Unable to use Experience Manager Forms with certain versions of Oracle JDK

Last update: 2022-06-02
  • Created for:
  • User

The issue applies to the following versions:

  • Experience Manager 6.3 Forms
  • Experience Manager 6.4 Forms
  • Experience Manager 6.5 Forms

Issue

User encounters the following exception:
Caused by: javax.xml.xpath.XPathExpressionException: javax.xml.transform.TransformerException: JAXP0801002: the compiler encountered an XPath expression containing '101' operators that exceeds the '100' limit set by 'FEATURE_SECURE_PROCESSING'.

Reason

The exception occurs, when you run Experience Manager Forms with Oracle JDK (Java Development Kit) version greater than or equal to the following versions:

The above mentioned and later versions of Java, includes new XML processing limits in the JVM (Java Virtual Machine) which causes certain Forms specific operations to fail.

Workaround

  1. Stop your Experience Manager Forms Server.

  2. Configure the following JVM argument for your application server:

    -Djdk.xml.xpathExprOpLimit=2000

    It sets the system property in JVM to a reasonably high value so that default limit is not hit.

  3. Start your Experience Manager Forms Server.

On this page